随笔 - 119  文章 - 3173  trackbacks - 0
<2007年2月>
28293031123
45678910
11121314151617
18192021222324
25262728123
45678910

交友莫独酒,茅台西凤游。
口干古井贡,心徜洋河流。
称多情杜康,趟无量双沟。
赞中华巍巍,无此不销愁。

常用链接

留言簿(67)

随笔分类(136)

随笔档案(122)

最新随笔

搜索

  •  

积分与排名

  • 积分 - 498782
  • 排名 - 93

最新评论

eclipse插件:openecmd

选中文件,点击“open cmd”
会打开命令行工具,并定位路径到选择的文件、文件夹、JAR包
跨平台经测试windows、FC6下可用
其它平台应该都没问题

您可以根据自己的平台和桌面在ECLIPSE设置里面修改命令行


eclipse3.2.1
wtp1.5.2
myeclipse5.1
测试通过
下载地址

org.hermit.opencmd_2.1.0.rar
posted on 2007-02-01 11:35 交口称赞 阅读(5555) 评论(18)  编辑  收藏 所属分类: Eclipse RCP SWT

FeedBack:
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 14:13 SteveNi
It does not work in eclipse3.2.1 with 1.5.1 in my English version XP box. It can display on the menu list, but It reports "The chosen operation is not available". And when I try to open preferences, it says plugin can not load org.hermit.opencmd.preferences.OpenCmdPreferencePage class.


Any hints?  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 15:02 交口称赞
let me see  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 15:13 交口称赞
重新下载,覆盖一下。并且加-clean启动

我写的程序中有这样的提示:
建议不要访问:由于对必需的库 G:\eclipse_my\plugins
\org.eclipse.jdt.core_3.2.2.jar 具有一定限制,因此无法访问类型
Openable 中的方法 getPackageFragmentRoot()

目前还没找可以不访问受限制包的方法

可能会对ECLISPE版本有要求,我是WTP1.5.2+MYeclipse5.1

我会抽时间把两个插件合成一个方便大家使用。。。。。




  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 15:49 BeanSoft
Also check out an open source version Plugin:
Eclipse插件之EasyExplorer http://dev2dev.bea.com.cn/bbsdoc/20060124184.html

Running on Eclipse 2.1 ~ 3.2(tested by me, Eclipse 2.1 for early version).

能够在 Eclipse 里面打开资源管理器来浏览当前选中的文件.
可以在选项里面输入命令:

explorer.exe /n,/e,{0}
来打开一个显示树和文件夹内容的浏览窗口.

通过对以上explorer.exe的参数分析,我们可能会有个希望就是实现既显示左边的文件树,又同时右边也定位到的选定的文件或文件夹上面。
那应当是设置为:explorer.exe /e,/select {0},不过这件EasyExplore帮你打开的只是定位在文件夹上面,而不是相应的文件上面。
  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 16:39 交口称赞
呵呵,我那个打开资源管理器用的是JDK6的原生方法
不要配置

基本上在各个平台都能用  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 18:39 SteveNi
在家里机器试了下,还是不行,下面是log片段:

!MESSAGE An error occurred while automatically activating bundle org.hermit.opencmd (116).
!STACK 0
org.osgi.framework.BundleException: The activator org.hermit.opencmd.Activator for bundle org.hermit.opencmd is invalid
at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:141)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:256)
at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:86)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:334)











at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(BundleHost.java:227)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:134)
... 70 more
Root exception:
java.lang.UnsupportedClassVersionError: Bad version number in .class file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:160)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:498)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:468)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:427)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:410)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-01 18:43 SteveNi
你是用JDK那个版本编译的?6?我用5  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-02 09:00 交口称赞
UnsupportedClassVersionError

从这个看可能是JDK版本问题。。。。。。。。

我用的是JDK6
  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-02 12:45 BeanSoft
你这个插件要在 JDK 1.5, 1.4 上跑, 源码可以试试整合 JDIC, 就是 JDK 6 里面 Desktop 的开源版本.


eclipse3.2.1
wtp1.5.2
myeclipse5.1
测试通过
加一条: 仅限于 JDK/JRE 1.6  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-02 12:56 交口称赞
呵呵.
这个写了主要给大家用着方便。
身边的同事都是JDK6了

呵呵,相信JDK6很快会普及的吧  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-02 20:50 SteveNi
编译时设下JDK兼容性就行了。最好设成1.4
  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-02-03 08:55 交口称赞
我现在在把两个插件和在一起,
所以必须用JDK6了。。。。。。。。

我会单独出个1.4版的这个插件  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-05-25 11:10 相信奇迹
如何使用,请说的仔细一些,谢谢  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-05-25 12:42 交口称赞
像其他插件一样考到eclipse目录里面就可以啊

运行在右键菜单就能看到了  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-07-04 11:41 John Ong
都装了N年了,平时也没啥用处。  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-07-04 11:43 John Ong
不是说你这个插件,类似的插件都有了  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-07-04 13:14 交口称赞
你没我有用啊
谁用的着谁用

  回复  更多评论
  
# re: eclipse插件:opencmd(直接开命令行工具到选择文件、文件夹、JAR包)跨平台 2007-07-05 09:43 mashiguang
呵呵,楼主的名字真龌龊.  回复  更多评论
  

只有注册用户登录后才能发表评论。


网站导航: